org.jboss.resteasy.plugins.providers.multipart

## Class AbstractMultipartRelatedWriter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter
  - - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartRelatedWriter

- Direct Known Subclasses:
    MultipartRelatedWriter, XopWithMultipartRelatedWriter

      public class AbstractMultipartRelatedWriter
      extends AbstractMultipartWriter

  Helper base class for multipart/related producing providers.
  Version:
    $Revision: 1 $
  Author:
    Attila Kiraly

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `workers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMultipartRelatedWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeRelated(MultipartRelatedOutput multipartRelatedOutput, MediaType mediaType, MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `write, writePart, writeParts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMultipartRelatedWriter

          public AbstractMultipartRelatedWriter()

  - ### Method Detail

    - #### writeRelated

          protected void writeRelated(MultipartRelatedOutput multipartRelatedOutput,
                          MediaType mediaType,
                          MultivaluedMap<String,Object> httpHeaders,
                          OutputStream entityStream)
                               throws IOException,
                                      WebApplicationException

      Throws:
        `IOException`
        `WebApplicationException`

Copyright © 2014. All Rights Reserved.